## Author: M. Turhan ÇOBAN
## Created: 2021-06-19

function retval = binary_to_double(b,xmin,xmax)
# N = 64   N1=2^N-1
N=64;
N1 = 9223372036854775807;
xp=bin2dec(b);
x=double(xmin+xp*(xmax-xmin)/N1);
retval=x;
endfunction
